Bug 1213153 - [RFE] - engine-backup should support some performance profiles
Summary: [RFE] - engine-backup should support some performance profiles
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Yedidyah Bar David
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On: 1188132 1213152
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-19 13:44 UTC by Yedidyah Bar David
Modified: 2016-02-10 12:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 12:58:17 UTC
oVirt Team: Integration
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 42443 0 master MERGED packaging: engine-backup: Added performance wrappers Never

Description Yedidyah Bar David 2015-04-19 13:44:00 UTC
Description of problem:

Following the discussion in bug 1188132, engine-backup should support options for optimizing for backup size, backup time, and restore time.

Based on the report requested in bug 1213152, we might want to add options like

--smallest

--fast-backup

--fast-restore

or similar.

Comment 1 Yaniv Lavi 2015-06-09 12:57:43 UTC
What is the status of this feature?

Comment 2 Yedidyah Bar David 2015-06-09 13:49:30 UTC
It depends on the results of the investigation requested in bug 1213152.

Once that it ready, adding relevant options should be simple.

It's possible that the result will be that the default is good enough, or that we should change the default, and but not add different profiles (thus just closing this one).

Comment 3 Yedidyah Bar David 2015-06-17 14:00:27 UTC
Added some options based on very basic testing and guesses. Might change based on the results of bug 1213152.

Comment 4 Max Kovgan 2015-06-28 14:13:25 UTC
ovirt-3.6.0-3 release

Comment 5 Pavol Brilla 2016-01-15 11:11:26 UTC
3 options are documented ( with explanation was is included in which option )
--fast-restore
--small-size
--fast-backup


backup tested on all 3 options.

Comment 6 Pavol Brilla 2016-01-15 11:32:09 UTC
verified on: rhevm-tools-3.6.2.5-0.1.el6.noarch : RHEV-M Tools

Comment 7 Yedidyah Bar David 2016-01-17 07:10:13 UTC
Please wait for the results in bug 1213152, then either move to VERIFIED if looks ok or to ASSIGNED if we need to change details. Thanks.

This bug wasn't about having these options, but about having them do what they say they do.


Note You need to log in before you can comment on or make changes to this bug.